Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## juzu.asset
Enum AssetLocation

    java.lang.Object
      java.lang.Enum<AssetLocation>
          juzu.asset.AssetLocation

All Implemented Interfaces:
  Serializable, Comparable<AssetLocation>

    public enum AssetLocation

extends Enum<AssetLocation>

Author:
  Julien Viet

Enum Constant Summary
`CLASSPATH` A classpath served script.
`EXTERNAL` An external script.
`SERVER` A server served script.

Method Summary
`static AssetLocation` | `safeValueOf(String name)`
`static AssetLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AssetLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTERNAL

    public static final AssetLocation EXTERNAL

  An external script.

### SERVER

    public static final AssetLocation SERVER

  A server served script.

### CLASSPATH

    public static final AssetLocation CLASSPATH

  A classpath served script.

Method Detail

### values

    public static AssetLocation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AssetLocation c : AssetLocation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AssetLocation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### safeValueOf

    public static AssetLocation safeValueOf(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.